com.corticon.rulesemf.assetmodel

## Interface RuletestAsset

- All Superinterfaces:
    Asset, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface RuletestAsset
      extends Asset

  A representation of the model object 'Ruletest Asset'.

  The following features are supported:

  - `Testsheet Index`
  - `Testsheet Assets`
  - `Ruletest`
  - `Ruletest View List`
  See Also:
    `AssetmodelPackage.getRuletestAsset()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Ruletest` | `getRuletest()` Returns the value of the 'Ruletest' containment reference
    `org.eclipse.emf.common.util.EList` | `getRuletestViewList()` Returns the value of the 'Ruletest View List' containment reference list.
    `org.eclipse.emf.common.util.EList` | `getTestsheetAssets()` Returns the value of the 'Testsheet Assets' containment reference list.
    `int` | `getTestsheetIndex()` Returns the value of the 'Testsheet Index' attribute
    `void` | `setRuletest(Ruletest value)` Sets the value of the '`Ruletest`' containment reference
    `void` | `setTestsheetIndex(int value)` Sets the value of the '`Testsheet Index`' attribute

    - ### Methods inherited from interface com.corticon.rulesemf.common.Asset

      `getBuildNumber, getExternalChecksum, getLanguageCode, getMajorServiceNumber, getMajorVersionNumber, getMinorServiceNumber, getMinorVersionNumber, getResourcesReferenced, getResourceURIsReferenced, getUpdateStamp, getValidationMessages, getValidationRequest, isReadOnly, setBuildNumber, setExternalChecksum, setMajorServiceNumber, setMajorVersionNumber, setMinorServiceNumber, setMinorVersionNumber, setReadOnly, setUpdateStamp, setValidationRequest`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getTestsheetIndex

          int getTestsheetIndex()

      Returns the value of the 'Testsheet Index' attribute.

      If the meaning of the 'Testsheet Index' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Testsheet Index' attribute.
      See Also:
        `setTestsheetIndex(int)`, `AssetmodelPackage.getRuletestAsset_TestsheetIndex()`

    - #### setTestsheetIndex

          void setTestsheetIndex(int value)

      Sets the value of the '`Testsheet Index`' attribute.
      Parameters:
        `value` - the new value of the 'Testsheet Index' attribute.
      See Also:
        `getTestsheetIndex()`

    - #### getTestsheetAssets

          org.eclipse.emf.common.util.EList getTestsheetAssets()

      Returns the value of the 'Testsheet Assets' containment reference list. The list contents are of type `TestsheetAsset`.

      If the meaning of the 'Testsheet Assets' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Testsheet Assets' containment reference list.
      See Also:
        `AssetmodelPackage.getRuletestAsset_TestsheetAssets()`

    - #### getRuletest

          Ruletest getRuletest()

      Returns the value of the 'Ruletest' containment reference.

      If the meaning of the 'Ruletest' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Ruletest' containment reference.
      See Also:
        `setRuletest(Ruletest)`, `AssetmodelPackage.getRuletestAsset_Ruletest()`

    - #### setRuletest

          void setRuletest(Ruletest value)

      Sets the value of the '`Ruletest`' containment reference.
      Parameters:
        `value` - the new value of the 'Ruletest' containment reference.
      See Also:
        `getRuletest()`

    - #### getRuletestViewList

          org.eclipse.emf.common.util.EList getRuletestViewList()

      Returns the value of the 'Ruletest View List' containment reference list. The list contents are of type `RuletestView`.

      If the meaning of the 'Ruletest View List' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Ruletest View List' containment reference list.
      See Also:
        `AssetmodelPackage.getRuletestAsset_RuletestViewList()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.